Subject: bug#20623: XML and HTML files with encoding/charset="utf-8" declaration loose BOM; Coding system is reset from utf-8-with-signature to utf-8 on save

From: Stefan Monnier <[email-masked]>
Date: Sat, 11 Aug 2018 20:04:05 -0400

>> > > And I don't understand the comment about latin-1-mac: I don't think we
>> > > have such problems in Emacs.  The -with-signature variety is
>> > > different, because it is not about EOL format.
>> > You might be right, but I don't know where/how this is handled.
>> I still don't know where the EOL part is handled.
> If you tell me what do you mean by "handled" in this context, I might
> be able to help you understand where that happens.

You say that the code I wrote is not needed to make sure an existing
latin-1-mac setting isn't overwritten by a latin-1 guess.  I expect this
is indeed true (otherwise I think we'd have had bug-reports about it),
but I don't know where that is handled.

        Stefan